Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 22 Apr 2023 06:34:41 +0000 (UTC)

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi

This is regarding order 9427810164

I received a wrong size of the boot i ordered. I also sent an email to your customer service with pictures of the same however there was no response.

Pls arrange for a return at the earliest. This is a very unpleasant experience because I received the wrong size and i need to send an email explaining this to you and your customer service said I can’t exchange this instore! And the size I initially ordered 37 is now OOS!!

You really need to work on improving the customer experience.

Pls confirm when is the return scheduled. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6136481